<template lang="pug">
.member-card
	.item.is-flex.is-align-items-center.is-justify-content-space-between( v-for='(prop, i) in fields' )
		.prop {{$t(`default.${prop}`)}}:
		.value( :class='{ "is-empty": !member[prop] }' @click='copy(member[prop])' ) {{member[prop] || "-"}}
	//- pre {{ member }}
	//- 
		Name
		Email
		Phone
		ExtraPhone
		Socials -?
</template>

<script setup>
import { useI18n } from "vue-i18n"
import { useToast } from "vue-toastification"
// import { copyText } from "vue3-clipboard"

const props = defineProps({
	member: Object
})

const toast = useToast()
const { t } = useI18n()

let fields = [
	"name", "email", "phone", "extra_phone"
]

const copy = async val => {
	if (!val) return

	try {
		await navigator.clipboard.writeText(val)
		toast.success(t("default.copied", { text: val }))
	} catch(err) {
		toast.error(t("default.cannot_copy"))
	}
}
</script>

<style lang="scss" scoped>
.member-card {
	min-width: 15rem;
}
.item {
	.prop {
		font-weight: 600;
	}
	&:not(:last-child) {
		margin-bottom: .25rem;
	}
}

.value {
	&:not(.is-empty) {
		opacity: .9;
		transition: all .2s ease-in-out;
		cursor: pointer;
		&:hover {
			opacity: 1;
			text-decoration: underline;
		}
	}
}
</style>